Subject: draft-ietf-fax-minaddr-v2-00.txt

From: Graham Klyne <[email-masked]>
Date: Wed, 12 Apr 2000 16:12:29 +0100

Folks,

Some minor comments...

>draft-ietf-fax-minaddr-v2-00.txt
>Minimal GSTN address format in Internet Mail

>Abstract
>
>    This memo describes a simple method of encoding GSTN addresses in the
..................................................................^
"(telephone numbers)"
(For the benefit of the uninitiated.)

>    local-part of Internet email addresses, along with an extension
>    mechanism to allow encoding of additional standard attributes needed
>    for email gateways to GSTN-based services.
>
>    As with all Internet mail addresses, the left-hand-side (local- part)
>    of an address generated according to this specification, is not to be
>    interpreted except by the MTA that is named on the right-hand-side
..........................^^^^^^^^^^^^^^^
Strictly, I think "the MTA that is" should read
"an MTA that handles messages for the domain"

In the presence of MX records, etc., the right-hand-side does not 
necessarily name a single MTA.

>2.1 Minimal "global-phone" definition
>
>    The purpouse of global-phone element is to represent standard E.164
>    numeric addresses [10] within a syntax for electronic mail addressing
>    that is compliant with standard e-mail specifications given in [1]
>    and [2].
>
>    The minimal supported syntax for global-phone element is as follows:
>
>       global-phone = "+" 1*( DIGIT , written-sep )

I think this should be:

#      global-phone = "+" 1*( DIGIT / written-sep )

>2.2 The minimal "pstn-address" examples
>
>    Some examples of minimal pstn-address follows:
>
>       VOICE=+3940226338
>
>       FAX=+12027653000/T33S=6377
>
>       SMS=+33-1-88335215
>
>    Note:
>       only the use of registered service-selector and qualif-type1
>       elements is allowed. The examples shown are just for illustration
>       purpouses.
.......[-------]
"purposes".

>3. The e-mail address of the I-pstn device: mta-I-pstn
>
>    An "I-pstn device" has got, among its characteristics, a unique
...........................^^^
Delete "got".

>4.1 Multiple subaddresses

[...]

>    Implementors' note:
>      The UA MAY accept multiple subaddress elements for the same
>      global-phone, but it MUST generate multiple "pstn-mbox" elements
>      when submitting the message to the MTA.

I believe the "MAY" above should be "may".  This refers to behaviour beyond 
the scope of this specification (i.e. user interface), and as such is not 
normative, even as an option.

>    7.2: IANA Registration form template for new values of GSTN
>    address qualif-type1 keyword and value

[...]

>    qualif-type1 "value" ABNF definition:
>
>       abnf - ("abnf" MUST define the ABNF form of the qualif-type1 value.
>       The ABNF specification MUST be self-contained, using as basic
>       elements the tokens given in specification [4]. To avoid any
>       duplication (when appropriate), it MUST also use as building
>       non-basic tokens any already registered non-basic token from other

This doesn't make sense ("use as building non-basic tokens"?)

#g

------------
Graham Klyne
([email-masked])